summaryrefslogtreecommitdiffstats
path: root/packaging/scripts/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/scripts/test.sh')
-rwxr-xr-xpackaging/scripts/test.sh35
1 files changed, 30 insertions, 5 deletions
diff --git a/packaging/scripts/test.sh b/packaging/scripts/test.sh
index 24ba2966f..c39082622 100755
--- a/packaging/scripts/test.sh
+++ b/packaging/scripts/test.sh
@@ -1,15 +1,32 @@
#!/bin/sh
+dump_log() {
+ cat ./netdata.log
+}
+
+trap dump_log EXIT
+
wait_for() {
host="${1}"
port="${2}"
name="${3}"
- timeout="${4:-30}"
+ timeout="30"
+
+ if command -v nc > /dev/null ; then
+ netcat="nc"
+ elif command -v netcat > /dev/null ; then
+ netcat="netcat"
+ else
+ printf "Unable to find a usable netcat command.\n"
+ return 1
+ fi
printf "Waiting for %s on %s:%s ... " "${name}" "${host}" "${port}"
+ sleep 30
+
i=0
- while ! nc -z "${host}" "${port}"; do
+ while ! ${netcat} -z "${host}" "${port}"; do
sleep 1
if [ "$i" -gt "$timeout" ]; then
printf "Timed out!\n"
@@ -20,8 +37,16 @@ wait_for() {
printf "OK\n"
}
-netdata -D > netdata.log 2>&1 &
+/usr/sbin/netdata -D > ./netdata.log 2>&1 &
+
+wait_for localhost 19999 netdata || exit 1
+
+curl -sS http://127.0.0.1:19999/api/v1/info > ./response || exit 1
+
+cat ./response
+
+jq '.version' ./response || exit 1
-wait_for localhost 19999 netdata
+trap - EXIT
-curl -sS http://127.0.0.1:19999/api/v1/info | jq '.version'
+cp -a /packages/* /artifacts